
clear all
load litmusal
whos


figure(1),clg,subplot(231),plot(X'),title('Spectra')
[U,S,V]=svd(X,0);
Sco=U*S;
Sco=Sco(:,1:10);
Lod=S*V';
S=diag(S)';
subplot(232),bar(Sco),title('Scores')
subplot(233),plot(Lod'),title('Loadings')
subplot(234),plot(S(1:10)),title('SingVals')

figure(2),clg
J12= [1 2 
      1 3
      2 3]; 
for Pl=1:3
  j1=J12(Pl,1);j2=J12(Pl,2);
   subplot(2,2,Pl),plot(Sco(:,j1),Sco(:,j2),'.'),hold on
   title(['Scores Factors  ' num2str(j2) ' vs. ' num2str(j1)])
  
     i=1,plot(Sco(i,j1),Sco(i,j2),'ro') % Pure acid litmus
     i=18,plot(Sco(i,j1),Sco(i,j2),'b*') % Pure basic litmus
     i=13, plot(Sco(i,j1),Sco(i,j2),'wx') % Pure ZnO
     i=11, plot(Sco(i,j1),Sco(i,j2),'go') % Pure water
     i=12, plot(Sco(i,j1),Sco(i,j2),'go') % Pure water

  
end % for Pl

figure(3),clg
for Pl=1:3
  j1=J12(Pl,1);j2=J12(Pl,2);
   subplot(2,2,Pl),plot(Lod(j1,:),Lod(j2,:),'.'),hold on
   title(['Loads Factors  ' num2str(j2) ' vs. ' num2str(j1)])
   
end % for Pl


% CONTROL:
%Fitting pure component spectra to loadings


% Model:PureK=Rot*Lod(1:AOpt,:)+EK
AOpt=3
L=Lod(1:AOpt,:);
Rot=PureK*L'*inv(L*L')
PureKHat=Rot*L;
EK=PureK-PureKHat;

figure(4),clg
plot(PureK'  ),title('pure constit K(_) and reconstruction (.)')
hold on,plot(PureKHat','.'  )


