disp('Remember to do exercise 1a first!')
noiselevel=0;

while noiselevel >= 0,
  Xnoise=T*P'+noiselevel*randn(size(X));	% Reconstruct X with noise
  [U,S,V]= svd(Xnoise);		                % Calculate singular values
 
  % Reconstruct the noisy data with a 1 factor solution:
  XNoiseHat=U(:,1)*S(1,1)*V(:,1)';
  figure(1),clg
  plot(Xnoise',':'),hold on			% Plot noisy X
  plot(XNoiseHat','-'),hold off			% Plot filtered X
  title(' Noisy and svd-filtered X')
  legend(':','with noise', '-',' filtered')

  figure(2),clg
  bar(diag(S)), title('Singular values')	% Plot singular values
 
  noiselevel=input('Standard deviation of noise (negative to exit loop): ');
end
