
% 0. Init
% 1. Read tranmission data
% 2. Make log of tra
% 3. interactively make selection of pure litmus samples
% 4. sort according to pH and conc.



clear all
format compact

%cd \litmus\kap8, 
load cttra
%cd \harald\fidel\lectures\data

XTra=[XCal(:,1:96); XTest(:,1:96)];

%XTra=XTra(:,1:nXVarUse);
Y=[YCal; YTest];

pH=(Y(:,6)-7).*(Y(:,6)~=(-99))+ 3*[Y(:,4)-Y(:,3)].*(Y(:,6)==(-99)) + 7;
surbasph=[Y(:,3) Y(:,4) pH];

Y=[Y pH];

XLog=-log10(XTra);
XY=[XLog Y];




% Select away errors and other pigments:
 

%YTrouble=Y(:,2)*1000 +Y(:,5) % also removing Zn=y(:,2)
YTrouble=Y(:,5);
YTrouble(19)=1; % error in scaling
YTrouble(35:36)=[1;1];
YTrouble(30)=1; % water doublet

iUse=0;
for i=1:length(YTrouble)
   
  if YTrouble(i)<=0
    iUse=iUse+1;
    
    XYOK(iUse,:)=XY(i,:);
  end % if 
end % for i

% sort according to pH

%decreasing 

[y,i]=sort(XYOK(:,104));

XY3Comp=XYOK(i,:);
X=XY3Comp(:,1:96);
Y=XY3Comp(:,97:104);

nXVarUse=50
%  input('nXVarUse')
X=X(:,1:nXVarUse);

i=1;
XPureLitAcid =X(i,:);
YPureLitAcid=Y(i,:)

i=18;
XPureLitBas =X(i,:);
YPureLitBas=Y(i,:)


i=13;
XPureZnO =X(i,:);
YPureZnO=Y(i,:)
PureK=[XPureLitAcid;XPureLitBas;XPureZnO];
PureC=[YPureLitAcid;YPureLitBas;YPureZnO];

History=[ History ' Removed non-pure litmus samples,sorted according to pH,saved X Y PureK PureC to file litmus']

disp('saving to file litmusal.mat')
% save \harald\fidel\lectures\data\
save litmusal  X Y PureK PureC XPureLitBas YPureLitBas XPureLitAcid  YPureLitAcid  XPureZnO YPureZnO XY History
